1)Functions in programming languages are used to perform a particular task.
2) arguments are pieces of data which passed to user when function called. sometimes we do calculation on some specfic varible or while executing function we truely need some variable that defined before.